Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.jdbc
Enum MappingTag

    java.lang.Object
      java.lang.Enum<MappingTag>
          org.apache.openjpa.persistence.jdbc.MappingTag

All Implemented Interfaces:
  Serializable, Comparable<MappingTag>

     enum MappingTag

extends Enum<MappingTag>

Set of mapping tags used in JPA.

Author:
  Abe White

Enum Constant Summary
`ASSOC_OVERRIDE`
`ASSOC_OVERRIDES`
`ATTR_OVERRIDE`
`ATTR_OVERRIDES`
`CLASS_CRIT`
`COL`
`COLLECTION_TABLE`
`COLS`
`COLUMN_NAME`
`COLUMN_RESULT`
`CONTAINER_TABLE`
`DATASTORE_ID_COL`
`DELIMITED_IDS`
`DISCRIM_COL`
`DISCRIM_STRAT`
`DISCRIM_VAL`
`EAGER_FETCH_MODE`
`ELEM_CLASS_CRIT`
`ELEM_COL`
`ELEM_COLS`
`ELEM_EMBEDDED_MAPPING`
`ELEM_FK`
`ELEM_INDEX`
`ELEM_JOIN_COL`
`ELEM_JOIN_COLS`
`ELEM_NONPOLY`
`ELEM_STRAT`
`EMBEDDED_MAPPING`
`ENTITY_RESULT`
`ENUMERATED`
`FIELD_RESULT`
`FK`
`FK_COL_NAME`
`FK_COL_NAMES`
`GEN_ID_TABLE`
`INDEX`
`INHERITANCE`
`JOIN_COL`
`JOIN_COLS`
`JOIN_TABLE`
`KEY_CLASS_CRIT`
`KEY_COL`
`KEY_COLS`
`KEY_EMBEDDED_MAPPING`
`KEY_FK`
`KEY_INDEX`
`KEY_JOIN_COL`
`KEY_JOIN_COLS`
`KEY_NONPOLY`
`KEY_STRAT`
`MAP_KEY_COL`
`MAP_KEY_ENUMERATED`
`MAP_KEY_JOIN_COL`
`MAP_KEY_JOIN_COLS`
`MAP_KEY_TEMPORAL`
`MAPPING_OVERRIDE`
`MAPPING_OVERRIDES`
`NAME`
`NONPOLY`
`ORDER_COL`
`ORDER_COLUMN`
`PK_JOIN_COL`
`PK_JOIN_COLS`
`SECONDARY_TABLE`
`SECONDARY_TABLES`
`SQL_RESULT_SET_MAPPING`
`SQL_RESULT_SET_MAPPINGS`
`STRAT`
`SUBCLASS_FETCH_MODE`
`TABLE`
`TABLE_GEN`
`TEMPORAL`
`UNIQUE`
`VERSION_COL`
`VERSION_COLS`
`VERSION_STRAT`
`X_EMBEDDED_MAPPING`
`X_JOIN_COL`
`X_JOIN_COLS`
`X_MAPPING_OVERRIDE`
`X_MAPPING_OVERRIDES`
`X_SECONDARY_TABLE`
`X_SECONDARY_TABLES`
`X_TABLE`

Method Summary
`static MappingTag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MappingTag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASSOC_OVERRIDE

    public static final MappingTag ASSOC_OVERRIDE

### ASSOC_OVERRIDES

    public static final MappingTag ASSOC_OVERRIDES

### ATTR_OVERRIDE

    public static final MappingTag ATTR_OVERRIDE

### ATTR_OVERRIDES

    public static final MappingTag ATTR_OVERRIDES

### COL

    public static final MappingTag COL

### COLLECTION_TABLE

    public static final MappingTag COLLECTION_TABLE

### COLUMN_NAME

    public static final MappingTag COLUMN_NAME

### COLUMN_RESULT

    public static final MappingTag COLUMN_RESULT

### DELIMITED_IDS

    public static final MappingTag DELIMITED_IDS

### DISCRIM_COL

    public static final MappingTag DISCRIM_COL

### DISCRIM_VAL

    public static final MappingTag DISCRIM_VAL

### ENTITY_RESULT

    public static final MappingTag ENTITY_RESULT

### ENUMERATED

    public static final MappingTag ENUMERATED

### FIELD_RESULT

    public static final MappingTag FIELD_RESULT

### GEN_ID_TABLE

    public static final MappingTag GEN_ID_TABLE

### INHERITANCE

    public static final MappingTag INHERITANCE

### JOIN_COL

    public static final MappingTag JOIN_COL

### JOIN_COLS

    public static final MappingTag JOIN_COLS

### JOIN_TABLE

    public static final MappingTag JOIN_TABLE

### MAP_KEY_ENUMERATED

    public static final MappingTag MAP_KEY_ENUMERATED

### ORDER_COLUMN

    public static final MappingTag ORDER_COLUMN

### PK_JOIN_COL

    public static final MappingTag PK_JOIN_COL

### PK_JOIN_COLS

    public static final MappingTag PK_JOIN_COLS

### SECONDARY_TABLE

    public static final MappingTag SECONDARY_TABLE

### SECONDARY_TABLES

    public static final MappingTag SECONDARY_TABLES

### SQL_RESULT_SET_MAPPING

    public static final MappingTag SQL_RESULT_SET_MAPPING

### SQL_RESULT_SET_MAPPINGS

    public static final MappingTag SQL_RESULT_SET_MAPPINGS

### TABLE

    public static final MappingTag TABLE

### TABLE_GEN

    public static final MappingTag TABLE_GEN

### TEMPORAL

    public static final MappingTag TEMPORAL

### CLASS_CRIT

    public static final MappingTag CLASS_CRIT

### COLS

    public static final MappingTag COLS

### CONTAINER_TABLE

    public static final MappingTag CONTAINER_TABLE

### DATASTORE_ID_COL

    public static final MappingTag DATASTORE_ID_COL

### DISCRIM_STRAT

    public static final MappingTag DISCRIM_STRAT

### EAGER_FETCH_MODE

    public static final MappingTag EAGER_FETCH_MODE

### ELEM_CLASS_CRIT

    public static final MappingTag ELEM_CLASS_CRIT

### ELEM_COL

    public static final MappingTag ELEM_COL

### ELEM_COLS

    public static final MappingTag ELEM_COLS

### ELEM_EMBEDDED_MAPPING

    public static final MappingTag ELEM_EMBEDDED_MAPPING

### ELEM_FK

    public static final MappingTag ELEM_FK

### ELEM_INDEX

    public static final MappingTag ELEM_INDEX

### ELEM_JOIN_COL

    public static final MappingTag ELEM_JOIN_COL

### ELEM_JOIN_COLS

    public static final MappingTag ELEM_JOIN_COLS

### ELEM_NONPOLY

    public static final MappingTag ELEM_NONPOLY

### ELEM_STRAT

    public static final MappingTag ELEM_STRAT

### EMBEDDED_MAPPING

    public static final MappingTag EMBEDDED_MAPPING

### FK

    public static final MappingTag FK

### FK_COL_NAMES

    public static final MappingTag FK_COL_NAMES

### FK_COL_NAME

    public static final MappingTag FK_COL_NAME

### INDEX

    public static final MappingTag INDEX

### KEY_COL

    public static final MappingTag KEY_COL

### KEY_COLS

    public static final MappingTag KEY_COLS

### KEY_CLASS_CRIT

    public static final MappingTag KEY_CLASS_CRIT

### KEY_EMBEDDED_MAPPING

    public static final MappingTag KEY_EMBEDDED_MAPPING

### KEY_FK

    public static final MappingTag KEY_FK

### KEY_INDEX

    public static final MappingTag KEY_INDEX

### KEY_JOIN_COL

    public static final MappingTag KEY_JOIN_COL

### KEY_JOIN_COLS

    public static final MappingTag KEY_JOIN_COLS

### KEY_NONPOLY

    public static final MappingTag KEY_NONPOLY

### KEY_STRAT

    public static final MappingTag KEY_STRAT

### MAP_KEY_COL

    public static final MappingTag MAP_KEY_COL

### MAP_KEY_JOIN_COL

    public static final MappingTag MAP_KEY_JOIN_COL

### MAP_KEY_JOIN_COLS

    public static final MappingTag MAP_KEY_JOIN_COLS

### MAP_KEY_TEMPORAL

    public static final MappingTag MAP_KEY_TEMPORAL

### MAPPING_OVERRIDE

    public static final MappingTag MAPPING_OVERRIDE

### MAPPING_OVERRIDES

    public static final MappingTag MAPPING_OVERRIDES

### NAME

    public static final MappingTag NAME

### NONPOLY

    public static final MappingTag NONPOLY

### ORDER_COL

    public static final MappingTag ORDER_COL

### STRAT

    public static final MappingTag STRAT

### SUBCLASS_FETCH_MODE

    public static final MappingTag SUBCLASS_FETCH_MODE

### UNIQUE

    public static final MappingTag UNIQUE

### VERSION_COL

    public static final MappingTag VERSION_COL

### VERSION_COLS

    public static final MappingTag VERSION_COLS

### VERSION_STRAT

    public static final MappingTag VERSION_STRAT

### X_EMBEDDED_MAPPING

    public static final MappingTag X_EMBEDDED_MAPPING

### X_JOIN_COL

    public static final MappingTag X_JOIN_COL

### X_JOIN_COLS

    public static final MappingTag X_JOIN_COLS

### X_MAPPING_OVERRIDE

    public static final MappingTag X_MAPPING_OVERRIDE

### X_MAPPING_OVERRIDES

    public static final MappingTag X_MAPPING_OVERRIDES

### X_SECONDARY_TABLE

    public static final MappingTag X_SECONDARY_TABLE

### X_SECONDARY_TABLES

    public static final MappingTag X_SECONDARY_TABLES

### X_TABLE

    public static final MappingTag X_TABLE

Method Detail

### values

    public static MappingTag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MappingTag c : MappingTag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MappingTag valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.